package cn.estsh.i3plus.pojo.screen.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @author Wynne.Lu
 * @date 2021/3/22 下午1:27
 * @desc
 */
@Entity
@Table(name = "SCR_DATA_OBJECT")
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@Api("数据对象管理")
public class ScrDataObject extends BaseBean implements Serializable {
    private static final long serialVersionUID = -270662014158685376L;

    @Column(name = "DATA_OBJECT_CODE")
    @ApiParam(value = "数据对象代码")
    private String dataObjectCode;

    @Column(name = "SOURCE_CODE")
    @ApiParam(value = "数据源编码")
    private String sourceCode;

    @Column(name = "DATA_OBJECT_SOURCE")
    @ApiParam(value = "数据名称")
    private String dataObjectSource;

    @Column(name = "DATA_TYPE")
    @ApiParam(value = "数据类型")
    private Integer dataType;

    @Column(name = "DESCRIPTION")
    @ApiParam(value = "描述")
    private String description;


}
