package cn.estsh.i3plus.pojo.screen.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @author Wynne.Lu
 * @date 2021/3/12 下午4:26
 * @desc
 */
@Entity
@Table(name = "SCR_MODEL_FIELD_CONSTRAINT")
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@Api("model字段约束")
public class ScrModelFieldConstraint extends BaseBean implements Serializable {
    private static final long serialVersionUID = 5020158684534641672L;

    @Column(name = "MODEL_CODE")
    @ApiParam("model代码")
    private String modelCode;

    @Column(name = "CONSTRAINT_TYPE")
    @ApiParam("约束类型")
    private String constraintType;

    @Column(name = "GROUP_NO")
    @ApiParam("组号")
    private Integer groupNo;

    @Column(name = "FIELD_CODE")
    @ApiParam("字段代码")
    private String fieldCode;
}
