package cn.estsh.i3plus.pojo.screen.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @author Wynne.Lu
 * @date 2021/3/22 下午7:50
 * @desc
 */
@Entity
@Table(name = "SCR_PANEL")
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@Api("Panel")
public class ScrPanel extends BaseBean implements Serializable {

    @Column(name = "PANEL_CODE")
    @ApiParam("Panel代码")
    private String panelCode;

    @Column(name = "PANEL_NAME")
    @ApiParam("Panel名称")
    private String panelName;

    @Column(name = "LAYOUT_CODE")
    @ApiParam("布局代码")
    private String layoutCode;

    @Column(name = "USAGE_AMOUNT")
    @ApiParam("使用数量")
    private Integer usageAmount;
}
