package cn.estsh.i3plus.pojo.screen.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @author Wynne.Lu
 * @date 2021/3/22 下午8:42
 * @desc
 */
@Entity
@Table(name = "SCR_PANEL_MODEL")
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@Api("Panel与Model的关系")
public class ScrPanelModel extends BaseBean implements Serializable {
    private static final long serialVersionUID = -6998319452471117206L;

    @Column(name = "PANEL_MODEL_CODE")
    @ApiParam("Panel与Model的关系代码")
    private String panelModelCode;

    @Column(name = "PANEL_CODE")
    @ApiParam("Panel代码")
    private String panelCode;

    @Column(name = "MODEL_CODE")
    @ApiParam("Model代码")
    private String modelCode;

}
