package cn.estsh.i3plus.pojo.screen.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @author Wynne.Lu
 * @date 2021/3/22 下午8:42
 * @desc
 */
@Entity
@Table(name = "SCR_PANEL_MODEL_COMPONENT")
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@Api("Panel与Model组件的关系")
public class ScrPanelModelComponent extends BaseBean implements Serializable {
    private static final long serialVersionUID = 2011504067317832781L;

    @Column(name = "PANEL_MODEL_CODE")
    @ApiParam("Panel与Model的关系代码")
    private String panelModelCode;

    @Column(name = "COMPONENT_CODE")
    @ApiParam("组件代码")
    private String componentCode;


}
