package cn.estsh.i3plus.pojo.screen.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @author Wynne.Lu
 * @date 2021/3/22 下午8:42
 * @desc
 */
@Entity
@Table(name = "SCR_PANEL_MODEL_FIELD")
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@Api("Panel与Model字段的关系")
public class ScrPanelModelField extends BaseBean implements Serializable {
    private static final long serialVersionUID = -3441031841089357196L;

    @Column(name = "PANEL_MODEL_CODE")
    @ApiParam("Panel与Model的关系代码")
    private String panelModelCode;

    @Column(name = "FIELD_CODE")
    @ApiParam("字段代码")
    private String fieldCode;

    @Column(name = "IS_FUZZY_SEARCH")
    @ApiParam("是否支持模糊查询")
    private Boolean isFuzzySearch;

    @Column(name = "IS_SHOW_IN_NEW")
    @ApiParam("是否在新增时展示")
    private Boolean isShowInNew;

    @Column(name = "IS_SHOW_IN_EDIT")
    @ApiParam("是否在编辑时展示")
    private Boolean isShowInEdit;

    @Column(name = "IS_ALLOW_SORT")
    @ApiParam("是否支持排序")
    private Boolean isAllowSort;

    @Column(name = "FORM_SEQ")
    @ApiParam("表单顺序")
    private Integer formSeq;

    @Column(name = "TABLE_SEQ")
    @ApiParam("表格顺序")
    private Integer tableSeq;

    @Column(name = "VALIDATION")
    @ApiParam("校验")
    private String validation;

    @Column(name = "DICTIONARY")
    @ApiParam("字典")
    private String dictionary;

    @Column(name = "IS_VIRTUAL")
    @ApiParam("是否是虚拟的")
    private boolean isVirtual;

    @Column(name = "FIELD_NAME")
    @ApiParam("字段名称")
    private String fieldName;

    @Column(name = "SPEL_VIRTUAL_VALUE")
    @ApiParam("SPEL表达式虚拟属性")
    private String spelVirtualValue;

}
